/**
 * Copyright &copy; 2012-2016 <a href="https://github.com/thinkgem/jeesite">JeeSite</a> All rights reserved.
 */
package com.wechat.model.responseDto;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 单表生成Entity
 * 
 * @author jadyn.wu
 * @version 2019-08-06
 */
public class EducationExperienceResp {

	private Integer eduId; // 教育履历ID（自增）

	private Integer education; // 学历（字典表管理，以数值表示）

	private String educationName; // 学历名称

	private String schName; // 学校名称

	private String speciality; // 专业

	@JsonFormat(pattern = "yyyy-MM",timezone="GMT+8")
	private Date enterDate; // 入学时间
	
	@JsonFormat(pattern = "yyyy-MM",timezone="GMT+8")
	private Date quitDate; // 毕业时间


	// @Length(min=1, max=11, message="教育履历ID（自增）长度必须介于 1 和 11 之间")
	public Integer getEduId() {
		return eduId;
	}

	public void setEduId(Integer eduId) {
		this.eduId = eduId;
	}

	public Integer getEducation() {
		return education;
	}

	public void setEducation(Integer education) {
		this.education = education;
	}

	// @Length(min=1, max=255, message="学校名称长度必须介于 1 和 255 之间")
	public String getSchName() {
		return schName;
	}

	public void setSchName(String schName) {
		this.schName = schName;
	}

	// @Length(min=1, max=255, message="专业长度必须介于 1 和 255 之间")
	public String getSpeciality() {
		return speciality;
	}

	public void setSpeciality(String speciality) {
		this.speciality = speciality;
	}

	@JsonFormat(pattern = "yyyy-MM-dd",timezone="GMT+8")
	// @NotNull(message="入学时间不能为空")
	public Date getEnterDate() {
		return enterDate;
	}

	public void setEnterDate(Date enterDate) {
		this.enterDate = enterDate;
	}

	@JsonFormat(pattern = "yyyy-MM-dd",timezone="GMT+8")
	public Date getQuitDate() {
		return quitDate;
	}

	public void setQuitDate(Date quitDate) {
		this.quitDate = quitDate;
	}

	public String getEducationName() {
		return educationName;
	}

	public void setEducationName(String educationName) {
		this.educationName = educationName;
	}

}